name: camera_example
description: Demonstrates how to use the camera plugin.
publish_to: none

environment:
  sdk: ^3.2.0
  flutter: ">=3.16.0"

dependencies:
  camera:
    # When depending on this package from a real application you should use:
    #   camera: ^x.y.z
    # See https://dart.dev/tools/pub/dependencies#version-constraints
    # The example app is bundled with the plugin so we use a path dependency on
    # the parent directory to use the current plugin's version.
    path: ../
  flutter:
    sdk: flutter
  path_provider: ^2.0.0
  video_player: ^2.7.0

dev_dependencies:
  build_runner: ^2.1.10
  flutter_driver:
    sdk: flutter
  flutter_test:
    sdk: flutter
  integration_test:
    sdk: flutter

dependency_overrides:
  camera_web:
    path: ../../camera_web

flutter:
  uses-material-design: true
